## org.eclipse.datatools.connectivity.ui.dse.dialogs
Class ProfileSelectionDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.TrayDialog
                  org.eclipse.jface.dialogs.TitleAreaDialog
                      org.eclipse.datatools.connectivity.ui.dse.dialogs.ProfileSelectionDialog

All Implemented Interfaces:
  org.eclipse.help.IContextProvider, org.eclipse.jface.window.IShellProvider

    public class ProfileSelectionDialog

extends org.eclipse.jface.dialogs.TitleAreaDialog
implements org.eclipse.help.IContextProvider

Dialog to allow others to select a profile.

Author:
  brianf

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog
`DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Constructor Summary
`ProfileSelectionDialog(org.eclipse.swt.widgets.Shell parentShell)` Constructor

Method Summary
`boolean` `close()`
`void` `fillInDefaultValues()`
`java.lang.String` `getCategoryName()`
`org.eclipse.help.IContext` `getContext(java.lang.Object target)`
`int` `getContextChangeMask()`
`java.lang.String` `getCPName()` Returns the profile name
`boolean` `getLimitToProfiles()`
`java.lang.String` `getSearchExpression(java.lang.Object target)`
`boolean` `getShowConnect()`
`boolean` `getShowNew()`
`boolean` `getShowSelectButtons()`
`void` `setCategoryName(java.lang.String input)`
`void` `setCPName(java.lang.String input)`
`void` `setLimitToProfiles(boolean flag)`
`void` `setShowConnect(boolean flag)`
`void` `setShowNew(boolean flag)`
`void` `setShowSelectButtons(boolean flag)`

Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog
`getErrorMessage, getMessage, setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

Methods inherited from class org.eclipse.jface.dialogs.TrayDialog
`closeTray, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileSelectionDialog

    public ProfileSelectionDialog(org.eclipse.swt.widgets.Shell parentShell)

  Constructor

  Parameters:
    `parentShell` -

Method Detail

### fillInDefaultValues

    public void fillInDefaultValues()

### getCPName

    public java.lang.String getCPName()

  Returns the profile name

  Returns:

### setCPName

    public void setCPName(java.lang.String input)

### getCategoryName

    public java.lang.String getCategoryName()

### setCategoryName

    public void setCategoryName(java.lang.String input)

### setLimitToProfiles

    public void setLimitToProfiles(boolean flag)

### getLimitToProfiles

    public boolean getLimitToProfiles()

### setShowNew

    public void setShowNew(boolean flag)

### getShowNew

    public boolean getShowNew()

### setShowConnect

    public void setShowConnect(boolean flag)

### getShowConnect

    public boolean getShowConnect()

### setShowSelectButtons

    public void setShowSelectButtons(boolean flag)

### getShowSelectButtons

    public boolean getShowSelectButtons()

### close

    public boolean close()

  Overrides:
    `close` in class `org.eclipse.jface.dialogs.TrayDialog`

### getContext

    public org.eclipse.help.IContext getContext(java.lang.Object target)

  Specified by:
    `getContext` in interface `org.eclipse.help.IContextProvider`

### getContextChangeMask

    public int getContextChangeMask()

  Specified by:
    `getContextChangeMask` in interface `org.eclipse.help.IContextProvider`

### getSearchExpression

    public java.lang.String getSearchExpression(java.lang.Object target)

  Specified by:
    `getSearchExpression` in interface `org.eclipse.help.IContextProvider`